# Information Schema TRIGGERS Table

The [Information Schema](/docs/server/reference/system-tables/information-schema.md) `TRIGGERS` table contains information about [triggers](/docs/server/server-usage/triggers-events/triggers.md).

It has the following columns:

| Column                        | Description                                                                                                                                                                                                                                                                                                 |
| ----------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| TRIGGER\_CATALOG              | Always def.                                                                                                                                                                                                                                                                                                 |
| TRIGGER\_SCHEMA               | Database name in which the trigger occurs.                                                                                                                                                                                                                                                                  |
| TRIGGER\_NAME                 | Name of the trigger.                                                                                                                                                                                                                                                                                        |
| EVENT\_MANIPULATION           | The event that activates the trigger. Prior to MariaDB 12.0, one of `INSERT`, `UPDATE` or `DELETE`. From MariaDB 12.0, can contain multiple values, comma-separated.                                                                                                                                        |
| EVENT\_OBJECT\_CATALOG        | Always def.                                                                                                                                                                                                                                                                                                 |
| EVENT\_OBJECT\_SCHEMA         | Database name on which the trigger acts.                                                                                                                                                                                                                                                                    |
| EVENT\_OBJECT\_TABLE          | Table name on which the trigger acts.                                                                                                                                                                                                                                                                       |
| ACTION\_ORDER                 | Indicates the order that the action will be performed in (of the list of a table's triggers with identical `EVENT_MANIPULATION` and `ACTION_TIMING` values). See the [FOLLOWS/PRECEDES](/docs/server/server-usage/triggers-events/triggers/create-trigger.md#follows-precedes-other_trigger_name) clauses.  |
| ACTION\_CONDITION             | `NULL`                                                                                                                                                                                                                                                                                                      |
| ACTION\_STATEMENT             | Trigger body, UTF-8 encoded.                                                                                                                                                                                                                                                                                |
| ACTION\_ORIENTATION           | Always ROW.                                                                                                                                                                                                                                                                                                 |
| ACTION\_TIMING                | Whether the trigger acts `BEFORE` or `AFTER` the event that triggers it.                                                                                                                                                                                                                                    |
| ACTION\_REFERENCE\_OLD\_TABLE | Always `NULL`.                                                                                                                                                                                                                                                                                              |
| ACTION\_REFERENCE\_NEW\_TABLE | Always `NULL`.                                                                                                                                                                                                                                                                                              |
| ACTION\_REFERENCE\_OLD\_ROW   | Always `OLD`.                                                                                                                                                                                                                                                                                               |
| ACTION\_REFERENCE\_NEW\_ROW   | Always `NEW`.                                                                                                                                                                                                                                                                                               |
| CREATED                       | Always `NULL`.                                                                                                                                                                                                                                                                                              |
| SQL\_MODE                     | The [SQL\_MODE](/docs/server/server-management/variables-and-modes/sql_mode.md) when the trigger was created, and which it uses for execution.                                                                                                                                                              |
| DEFINER                       | The account that created the trigger, in the form user\_name\@host\_name                                                                                                                                                                                                                                    |
| CHARACTER\_SET\_CLIENT        | The client [character set](/docs/server/reference/data-types/string-data-types/character-sets.md) when the trigger was created, from the session value of the [character\_set\_client](/docs/server/server-management/variables-and-modes/server-system-variables.md#character_set_client) system variable. |
| COLLATION\_CONNECTION         | The client [collation](/docs/server/reference/data-types/string-data-types/character-sets.md) when the trigger was created, from the session value of the [collation\_connection](/docs/server/server-management/variables-and-modes/server-system-variables.md#collation_connection) system variable.      |
| DATABASE\_COLLATION           | [Collation](/docs/server/reference/data-types/string-data-types/character-sets.md) of the associated database.                                                                                                                                                                                              |

Queries to the `TRIGGERS` table return information even if the user doesn't have `SELECT` [privileges](/docs/server/reference/sql-statements/account-management-sql-statements/grant.md#column-privileges) on the columns. The columns `ACTION_CONDITION`, `ACTION_STATEMENT` and `DEFINER` are `NULL` unless the user has the `TRIGGER` [privilege](/docs/server/reference/sql-statements/account-management-sql-statements/grant.md#table-privileges). Similar information is returned by the [SHOW TRIGGERS](/docs/server/reference/sql-statements/administrative-sql-statements/show/show-triggers.md) statement.

## See also

* [Trigger Overview](/docs/server/server-usage/triggers-events/triggers/trigger-overview.md)
* [CREATE TRIGGER](/docs/server/server-usage/triggers-events/triggers/create-trigger.md)
* [DROP TRIGGER](/docs/server/reference/sql-statements/data-definition/drop/drop-trigger.md)
* [SHOW TRIGGERS](/docs/server/reference/sql-statements/administrative-sql-statements/show/show-triggers.md)
* [SHOW CREATE TRIGGER](/docs/server/reference/sql-statements/administrative-sql-statements/show/show-create-trigger.md)
* [Trigger Limitations](/docs/server/server-usage/triggers-events/triggers/trigger-limitations.md)

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-triggers-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
